Bug 1296140 - Remove redhat-access-plugin-ipa support
Remove redhat-access-plugin-ipa support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jan Cholasta
Namita Soman
Marc Muehlfeld
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 07:23 EST by Martin Kosek
Modified: 2016-11-04 01:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: ipa-4.4.0-3.el7
Doc Type: Deprecated Functionality
Doc Text:
Red Hat Access plug-in for IdM is discontinued The Red Hat Access plug-in for Identity Management (IdM) has been removed in Red Hat Enterprise Linux 7.3. During the update, the _redhat-access-plugin-ipa_ package is automatically uninstalled. Features previously provided by the plug-in, such as Knowledgebase access and support case engagement, are still available through the Red Hat Customer Portal. Red Hat recommends to explore alternatives, such as the *redhat-support-tool* tool.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 01:47:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verified (717.34 KB, image/jpeg)
2016-08-18 04:01 EDT, Varun Mylaraiah
no flags Details

  None (edit)
Description Martin Kosek 2016-01-06 07:23:52 EST
Description of problem:

The support organization has made a strategic decision to deemphasize Red Hat Access functionality (i.e. support case creation, KB access, etc.) and focus instead on Red Hat Insights[1].

Remove plugin support from IdM in RHEL Web UI.

[1] https://access.redhat.com/insights/info/
Comment 2 Martin Kosek 2016-01-06 08:04:07 EST
This will likely need to be solved with RPM Obsoletes dependency as the plugin activates itself whenever it is present on the system (during upgrade from RHEL-7.2 for example).
Comment 3 Keith Robertson 2016-02-12 12:30:37 EST
FYI: We have removed the plugin from RHEV 3.6 and created the following KCS article[1] for customers.  We should probably do something similar for IPA.  However, I need to know when you'll be removing it.

[1] https://access.redhat.com/solutions/2137681
Comment 4 Martin Kosek 2016-02-19 08:05:11 EST
Current plan is to remove it in the next RHEL-7 minor release, i.e. RHEL-7.3.
Comment 5 Petr Vobornik 2016-06-29 08:53:45 EDT
This is only a packaging change.

ipa should make sure that redhat-access-plugin-ipa is not present after upgrading to ipa-server-4.4 and that it couldn't be installed when ipa-server 4.4 is present.
Comment 16 Varun Mylaraiah 2016-08-18 04:01 EDT
Created attachment 1191815 [details]
Verified

Verified
ipa-server-4.4.0-8.el7.x86_64

-Redhat-access-plugin is not present after upgrading to ipa-server-4.4.
-Attracted webUI snapshot
Comment 18 errata-xmlrpc 2016-11-04 01:47:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html

Note You need to log in before you can comment on or make changes to this bug.